## org.eclipse.emf.databinding.edit
Class EMFEditProperties

    java.lang.Object
      org.eclipse.emf.databinding.edit.EMFEditProperties

    public class EMFEditProperties

extends java.lang.Object

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

A factory to create property bound attributes for `EObject` which use an `EditingDomain` to make changes to the `EObject`

Since:
  2.5

Field Summary
`static boolean` `DEBUG` Turn on debug logging

Constructor Summary
`EMFEditProperties()`

Method Summary
`static IEMFEditListProperty` `list(EditingDomain editingDomain, EStructuralFeature feature)` Returns a list property for the given `EStructuralFeature`
`static IEMFEditListProperty` `list(EditingDomain editingDomain, FeaturePath featurePath)` Returns a list property for the given `FeaturePath`
`static IEMFEditMapProperty` `map(EditingDomain editingDomain, EStructuralFeature feature)` Returns a map property for the given `EStructuralFeature`.
`static IEMFEditListProperty` `multiList(EditingDomain editingDomain, EStructuralFeature... features)` Combine multiple multi-value features into one observable list property
`static IEMFEditListProperty` `multiList(EditingDomain editingDomain, FeaturePath... featurePaths)` Combine the features identified by the the path into one observable list property
`static IEMFEditListProperty` `multiList(EditingDomain editingDomain, FeaturePath rootPath, EStructuralFeature... features)` Combine multiple features below a common path into one observable list property
`static IEMFEditListProperty` `multiList(EditingDomain editingDomain, IEMFEditListProperty... properties)` Combine the given list properties into one observable list property
`static IEMFEditSetProperty` `set(EditingDomain editingDomain, EStructuralFeature feature)` Returns a set property for the given `EStructuralFeature`
`static IEMFEditSetProperty` `set(EditingDomain editingDomain, FeaturePath featurePath)` Returns a set property for the given `FeaturePath`
`static IEMFEditValueProperty` `value(EditingDomain editingDomain, EStructuralFeature feature)` Returns a value property for the given `EStructuralFeature`
`static IEMFEditValueProperty` `value(EditingDomain editingDomain, FeaturePath featurePath)` Returns a value property for the given nested `EStructuralFeature` feature like the `name` of a `person`
`static IEMFEditValueProperty[]` `values(EditingDomain editingDomain, EStructuralFeature... features)` Returns multiple value properties for the given `EStructuralFeature`s
`static IEMFEditValueProperty[]` `values(EditingDomain editingDomain, FeaturePath... featurePaths)` Returns multiple value property for the given nested `EStructuralFeature` features like the `name` of a `person`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

  Turn on debug logging

  See Also:
    Constant Field Values

Constructor Detail

### EMFEditProperties

    public EMFEditProperties()

Method Detail

### value

    public static IEMFEditValueProperty value(EditingDomain editingDomain,
                                              EStructuralFeature feature)

  Returns a value property for the given `EStructuralFeature`

  Parameters:
    `editingDomain` - the editing domain
    `feature` - the feature instance the property is created for
  Returns:
    a value property for the given `EStructuralFeature`

### value

    public static IEMFEditValueProperty value(EditingDomain editingDomain,
                                              FeaturePath featurePath)

  Returns a value property for the given nested `EStructuralFeature` feature like the `name` of a `person`

  Parameters:
    `editingDomain` - the editing domain
    `featurePath` - path to the feature
  Returns:
    a value property for the given `FeaturePath`

### values

    public static IEMFEditValueProperty[] values(EditingDomain editingDomain,
                                                 EStructuralFeature... features)

  Returns multiple value properties for the given `EStructuralFeature`s

  Parameters:
    `editingDomain` - the editing domain
    `features` - the feature instances the properties are created for
  Returns:
    an array of properties for the given `EStructuralFeature`s

### values

    public static IEMFEditValueProperty[] values(EditingDomain editingDomain,
                                                 FeaturePath... featurePaths)

  Returns multiple value property for the given nested `EStructuralFeature` features like the `name` of a `person`

  Parameters:
    `editingDomain` - the editing domain
    `featurePaths` - path to the feature
  Returns:
    an array of properties for the given `FeaturePath`s

### set

    public static IEMFEditSetProperty set(EditingDomain editingDomain,
                                          EStructuralFeature feature)

  Returns a set property for the given `EStructuralFeature`

  Parameters:
    `editingDomain` - the editing domain
    `feature` - the feature instance the property is created for
  Returns:
    a list property for the given `EStructuralFeature`

### set

    public static IEMFEditSetProperty set(EditingDomain editingDomain,
                                          FeaturePath featurePath)

  Returns a set property for the given `FeaturePath`

  Parameters:
    `editingDomain` - the editing domain
    `featurePath` - the feature path
  Returns:
    a list property for the given `FeaturePath`

### list

    public static IEMFEditListProperty list(EditingDomain editingDomain,
                                            EStructuralFeature feature)

  Returns a list property for the given `EStructuralFeature`

  Parameters:
    `editingDomain` - the editing domain
    `feature` - the feature instance the property is created for
  Returns:
    a list property for the given `EStructuralFeature`

### list

    public static IEMFEditListProperty list(EditingDomain editingDomain,
                                            FeaturePath featurePath)

  Returns a list property for the given `FeaturePath`

  Parameters:
    `editingDomain` -
    `featurePath` -
  Returns:
    a list property for the given `FeaturePath`

### multiList

    public static IEMFEditListProperty multiList(EditingDomain editingDomain,
                                                 EStructuralFeature... features)

  Combine multiple multi-value features into one observable list property

  Parameters:
    `editingDomain` - the editing domain
    `features` - the features to add to the list
  Returns:
    the list property

### multiList

    public static IEMFEditListProperty multiList(EditingDomain editingDomain,
                                                 FeaturePath rootPath,
                                                 EStructuralFeature... features)

  Combine multiple features below a common path into one observable list property

  Parameters:
    `editingDomain` - the editing domain
    `rootPath` - the root path
    `features` - the features
  Returns:
    the list property

### multiList

    public static IEMFEditListProperty multiList(EditingDomain editingDomain,
                                                 FeaturePath... featurePaths)

  Combine the features identified by the the path into one observable list property

  Parameters:
    `editingDomain` - the editing domain
    `featurePaths` - the feature paths
  Returns:
    the list property

### multiList

    public static IEMFEditListProperty multiList(EditingDomain editingDomain,
                                                 IEMFEditListProperty... properties)

  Combine the given list properties into one observable list property

  Parameters:
    `editingDomain` - the editing domain
    `properties` - the properties
  Returns:
    the list property

### map

    public static IEMFEditMapProperty map(EditingDomain editingDomain,
                                          EStructuralFeature feature)

  Returns a map property for the given `EStructuralFeature`. Objects lacking the named property are treated the same as if the property always contains an empty map.

  Parameters:
    `editingDomain` - the editing domain
    `feature` - the feature the property is created for
  Returns:
    a map property for the given `EStructuralFeature`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.